summaryrefslogtreecommitdiffstats
path: root/libraries/zeromq
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2018-09-17 00:30:54 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-09-17 23:11:57 +0100
commite3ec8f113c8285bdf29d82effbdcd07dd3347e49 (patch)
tree8d6b37f2caf8c94ebeae64d549e3a6a49d83ceab /libraries/zeromq
parentb391444293305ce5e6746f8830a69605b12ce6ab (diff)
downloadslackbuilds-e3ec8f113c8285bdf29d82effbdcd07dd3347e49.tar.gz
slackbuilds-e3ec8f113c8285bdf29d82effbdcd07dd3347e49.tar.xz
libraries/zeromq: Updated for version 4.2.5 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/zeromq')
-rw-r--r--libraries/zeromq/zeromq.SlackBuild43
-rw-r--r--libraries/zeromq/zeromq.info10
2 files changed, 36 insertions, 17 deletions
diff --git a/libraries/zeromq/zeromq.SlackBuild b/libraries/zeromq/zeromq.SlackBuild
index 9655543ef4..da0f59f624 100644
--- a/libraries/zeromq/zeromq.SlackBuild
+++ b/libraries/zeromq/zeromq.SlackBuild
@@ -4,27 +4,46 @@
# Written by Patrick Pippen (dabittweiler@gmail.com)
+# Copyright 2018 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
PRGNAM=zeromq
-VERSION=${VERSION:-4.1.5}
+VERSION=${VERSION:-4.2.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -55,28 +74,28 @@ find -L . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure \
+./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-static=no \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a doc/ $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-
+cp -a AUTHORS COPYING COPYING.LESSER ChangeLog NEWS doc/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/zeromq/zeromq.info b/libraries/zeromq/zeromq.info
index 2a7b43c2f3..a3f0ad0960 100644
--- a/libraries/zeromq/zeromq.info
+++ b/libraries/zeromq/zeromq.info
@@ -1,10 +1,10 @@
PRGNAM="zeromq"
-VERSION="4.1.5"
+VERSION="4.2.5"
HOMEPAGE="http://www.zeromq.org/"
-DOWNLOAD="https://github.com/zeromq/zeromq4-1/releases/download/v4.1.5/zeromq-4.1.5.tar.gz"
-MD5SUM="e7adf4b7dbae09b28cfd10d26cd67fac"
+DOWNLOAD="https://github.com/zeromq/libzmq/releases/download/v4.2.5/zeromq-4.2.5.tar.gz"
+MD5SUM="a1c95b34384257e986842f4d006957b8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Patrick Pippen"
-EMAIL="dabittweiler@gmail.com"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"